.TH MMAKEIMG 1 "Dec 2016" "Montage 5" "Montage"
.SH NAME
mMakeImg \- Generate synthetic FITS images

.SH SYNOPSIS
mMakeImg [\-d \fIlevel\fP] [\-n \fInoise_level\fP] [\-b \fIbg1 bg2 bg3 bg4\fP] [\-t \fItbl col width epoch mag\fP] template.hdr out.fits

.SH DESCRIPTION
Generates synthetic FITS images, with varying levels of noise, from a table of provided point sources. Each source is treated independently and its flux is distributed on a source-specific point-spread function.

.SH OPTIONS
.TP
\-d \fIlevel\fP
Turns on debugging to the specified level (1\-4).
.TP
\-n \fInoise_level\fP
Specified random noise equal to \fInoise_level\fP will be added to image background.
.TP
\-b \fIbg1 bg2 bg3 bg4\fP
Specifies the four corners for a 'tilted' background for the image. Each value is a floating point number specifying the background height at the corner.
.TP
\-f
Use uniform flat disk for sources rather than gaussians.
.TP
\-r
Replace pixel values rather than adding to them.
.TP
\-t \fItbl col width epoch mag\fP
Specifies a table of sources to be added to the raw image. \fItbl\fP is the table filename, \fIcol\fP is the column name which contains the source fluxes, \fIwidth\fP is a floating point number determining the point spread of each source, \fIepoch\fP is the coordinate system reference year, and \fImag\fP is the reference magnitude of the source list. In addition, the source table should have \fIra\fP and \fIdec\fP columns for the image positions.

Several input tables can be specified if desired through repeated use of the \-t flag and arguments.

.SH ARGUMENTS
.TP
template.hdr
FITS header template, used to indicate the desired parameters of the output image
.TP
out.fits
Path of FITS image to be generated.

.SH RESULT
Synthetic FITS output image; sources in image will represent the values from the input table(s).

.SH MESSAGES
.TP
OK
[struct stat="OK"]
.TP
ERROR
Can't open table table \fItbl\fP
.TP
ERROR
Can't find lon, lat columns
.TP
ERROR
Can't find flux/magnitude column '\fIcol\fP'
.TP
ERROR
Template file [\fItemplate.hdr\fP] not found
.TP
ERROR
Output wcsinit() failed.  Exiting.
.TP
ERROR
\fIFITS library error\fP

.SH EXAMPLES
.TP
$ mMakeImg \-n 0.01 \-b 0 1.0 1.0 0 \-t sources.tbl J_MAG 5.0 2000 10.0 template.hdr out.fits
[struct stat="OK"]

.SH BUGS
The drizzle algorithm has been implemented but has not been tested
in this release.
.PP
If a header template contains carriage returns (i.e., created/modified
on a Windows machine), the cfitsio library will be unable to read it
properly, resulting in the error: [struct stat="ERROR", status=207,
msg="illegal character in keyword"]
.PP
It is best for the background correction algorithms if the area
described in the header template completely encloses all of the input
images in their entirety. If parts of input images are "chopped off"
by the header template, the background correction will be affected. We
recommend you use an expanded header for the reprojection and
background modeling steps, returning to the originally desired header
size for the final coaddition. The default background matching assumes
that there are no non-linear background variations in the individual
images (and therefore in the overlap differences). If there is any
uncertainty in this regard, it is safer to turn on the "level only"
background matching (the "\-l" flag in mBgModel.

.SH COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California
.PP
If your research uses Montage, please include the following
acknowledgement: "This research made use of Montage. It is funded by
the National Science Foundation under Grant Number ACI-1440620, and
was previously funded by the National Aeronautics and Space
Administration's Earth Science Technology Office, Computation
Technologies Project, under Cooperative Agreement Number NCC5-626
between NASA and the California Institute of Technology."
.PP
The Montage distribution includes an adaptation of the MOPEX algorithm
developed at the Spitzer Science Center.
